package com.winhc.repal.service;

import com.winhc.repal.entity.RepalBill;
import com.winhc.repal.entity.RepalBillDiagnosis;
import com.winhc.repal.entity.RepalRemindHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.model.vo.RepalBillRemindUnReadVO;

import java.util.List;


/**
 * @description RepalRemindHistory 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRemindHistoryService extends IService<RepalRemindHistory> {
    /**
     * 查询未读数量
     * @param repalBillIds
     * @return
     */
    RepalBillRemindUnReadVO getRemindUnReadVO(List<Long> repalBillIds);

    /**
     * 新增评级提醒
     * @param accountBill
     * @param diagnosis
     * @return
     */
    boolean insertRankRemind(RepalBill accountBill, RepalBillDiagnosis diagnosis);
}
